Package org.codehaus.groovy.transform

# Class LogASTTransformation.AbstractLoggingStrategy

java.lang.Object
org.codehaus.groovy.transform.LogASTTransformation.AbstractLoggingStrategy

All Implemented Interfaces:
  `LogASTTransformation.LoggingStrategy`

Direct Known Subclasses:
  `LogASTTransformation.AbstractLoggingStrategyV2`

Enclosing class:
  LogASTTransformation

public abstract static class LogASTTransformation.AbstractLoggingStrategy extends Object implements LogASTTransformation.LoggingStrategy
Base class for logging strategy implementations.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final GroovyClassLoader`
  `loader`
  The class loader for resolving logging implementation classes.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractLoggingStrategy()`
  Creates a new logging strategy using the default class loader.
  `protected`
  `AbstractLoggingStrategy(GroovyClassLoader loader)`
  Creates a new logging strategy with the given class loader.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ClassNode`
  `classNode(String name)`
  Resolves a ClassNode for the given class name.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.transform.LogASTTransformation.LoggingStrategy

  `addLoggerFieldToClass, getCategoryName, isLoggingMethod, wrapLoggingMethodCall`

- ## Field Details

  - ### loader

    protected final GroovyClassLoader loader
    The class loader for resolving logging implementation classes.

- ## Constructor Details

  - ### AbstractLoggingStrategy

    protected AbstractLoggingStrategy(GroovyClassLoader loader)
    Creates a new logging strategy with the given class loader.
    Parameters:
      `loader` - the class loader for loading logging implementation classes

  - ### AbstractLoggingStrategy

    protected AbstractLoggingStrategy()
    Creates a new logging strategy using the default class loader.

- ## Method Details

  - ### classNode

    protected ClassNode classNode(String name)
    Resolves a ClassNode for the given class name.
    Parameters:
      `name` - the fully qualified class name
    Returns:
      the ClassNode for the specified class